 
create table FormaPagamentoW
(
    CodigoEmp           char(2)                not null,
    CodigoBanco         char(3)                not null,
    Codigo              char(2)                not null,
    Descricao           char(30)               null    ,
    CodigoBarras        char(1)                not null,
    CodBarrasBanco      char(1)                not null,
    SegmentoB           char(1)                not null,
    TipoOperacao        char(1)                not null,
    TipoPagamento       char(2)                not null,
    TipoPIX             char(1)                not null,
    CodigoCamComp       char(3)                not null,
    DataAtual           datetime               not null,
    Matricula           char(15)               not null
);

INSERT INTO FormaPagamentoW SELECT CodigoEmp, CodigoBanco, Codigo, Descricao, CodigoBarras, CodBarrasBanco, SegmentoB, TipoOperacao, TipoPagamento, 
                                   ' ', '   ', DataAtual, Matricula FROM FormaPagamento; 

alter table FormaPagamento drop constraint FK_FormaPagamento_BANCAR_BANCO;

alter table FormaPagamento drop constraint PK_FormaPagamento;
   
DROP TABLE FormaPagamento; 
 
create table FormaPagamento
(
    CodigoEmp           char(2)                not null,
    CodigoBanco         char(3)                not null,
    Codigo              char(2)                not null,
    Descricao           char(30)               null    ,
    CodigoBarras        char(1)                not null,
    CodBarrasBanco      char(1)                not null,
    SegmentoB           char(1)                not null,
    TipoOperacao        char(1)                not null,
    TipoPagamento       char(2)                not null,
    TipoPIX             char(1)                not null,
    CodigoCamComp       char(3)                not null,
    DataAtual           datetime               not null,
    Matricula           char(15)               not null
);
         
INSERT INTO FormaPagamento SELECT * FROM FormaPagamentoW; 

alter table FormaPagamento
    add constraint PK_FormaPagamento primary key (CodigoEmp, CodigoBanco, Codigo);

alter table FormaPagamento
    add constraint FK_FormaPagamento_BANCAR_BANCO foreign key  (CodigoEmp, CodigoBanco)
       references Banco (CodigoEmp, Codigo);
 
create index FormaPagamento_FK1 on FormaPagamento (CodigoEmp, CodigoBanco, CodigoBarras, Codigo);
create index FormaPagamento_FK2 on FormaPagamento (CodigoEmp, CodigoBanco, CodBarrasBanco, Codigo);
create index FormaPagamento_FK3 on FormaPagamento (CodigoEmp, CodigoBanco, SegmentoB, Codigo);
create index FormaPagamento_FK4 on FormaPagamento (CodigoEmp, CodigoBanco, TipoPIX, Codigo);

GRANT ALL ON FormaPagamento TO BYTEC;    

DROP TABLE FormaPagamentoW ;
